/*
 * Copyright (C) 2011 Brockmann Consult GmbH (info@brockmann-consult.de)
 * 
 * This program is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by the Free
 * Software Foundation; either version 3 of the License, or (at your option)
 * any later version.
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for
 * more details.
 * 
 * You should have received a copy of the GNU General Public License along
 * with this program; if not, see http://www.gnu.org/licenses/
 */

package org.esa.snap.myop;

import com.bc.ceres.core.ProgressMonitor;
import org.esa.snap.core.dataio.*;
import org.esa.snap.core.dataio.rgb.ImageProductReaderPlugIn;
import org.esa.snap.core.datamodel.Band;
import org.esa.snap.core.datamodel.Product;
import org.esa.snap.core.datamodel.ProductData;
import org.junit.Test;


import org.esa.snap.engine_utilities.gpf.CommonReaders;

/**
 * @author Norman
 */
public class MyTestOperatorTest {

    @Test
    public void runScript () throws Exception {

        MyTestOperator operation = new MyTestOperator();


        java.io.File file = new java.io.File("d:\\yspace\\data\\LT05_L1GS_187026_20000609_20200907_02_T2\\LT05_L1GS_187026_20000609_20200907_02_T2_B1.TIF");


        ProductReaderPlugIn pin = new ImageProductReaderPlugIn();
        String[] names = pin.getFormatNames();

        ProductIOPlugInManager registry = ProductIOPlugInManager.getInstance();

//        didn t work
//        Product product = ProductIO.readProduct(file);

        Product sProduct = CommonReaders.readProduct(file);
//        worked
//        Product test2 = CommonReaders.readCommonProductReader(file);
//        ProductReader test3 = CommonReaders.findCommonProductReader(file);

//        IIOImage image = IIOUtils.readImage(file);

        operation.setSourceProduct(sProduct);
        operation.setParameter("val", 2.5);
        operation.setParameter("mathOperator", "*");
        operation.setParameter("execPath", "c:\\OSGeo4W64\\apps\\Python37\\python.exe");
        operation.setParameter("execFile", "d:\\work\\SnapTools\\test\\raster_test.py");
        Product p = operation.getSourceProduct();

        ProgressMonitor pm = ProgressMonitor.NULL;

//        String cmd = operation.getCommandString();

        operation.doExecute(pm);

    }


    }
